XMLS = xmlstarlet ed -P -N svg=http://www.w3.org/2000/svg
LAYER_ON = -u //*/svg:g[@inkscape:label=\"$(1)\"]/@style -v display:inline
LAYER_OFF = -u //*/svg:g[@inkscape:label=\"$(1)\"]/@style -v display:none
S2P = inkscape
SIZE = --export-width=$(1) --export-height=$(2)
#S2P = imagemagick -background none
#SIZE = -resize $(1)x$(2)

GFX = \
	banvor_bg_fhd.png \
	banvor_bg_hd.png \
	banvor_ss_fhd.png \
	banvor_ss_hd.png \
	mm_icon_focus_hd.png \
	mm_icon_focus_sd.png \
	game_worker.png \
	game_wall.png \
	game_box.png \
	game_bingo.png \
	game_target.png \
	menu_locked.png \
	menu_unlocked.png \
	menu_unlocking.png \

all:  $(GFX)

.PHONY: clean
clean:
	rm -f $(GFX)

%_fhd.png : art/%.svg
	$(S2P) $(call SIZE,1920,1080) --export-filename=$@ $<

%_hd.png : art/%.svg
	$(S2P) $(call SIZE,1280,720) --export-filename=$@ $<

%_sd.png : art/%.svg
	$(S2P) $(call SIZE,1920,1080) --export-filename=$@ $<

game_%.png : art/game_%.svg
	$(S2P) $(call SIZE,96,96) --export-filename=$@ $<

menu_%.png : art/menu_%.svg
	$(S2P) $(call SIZE,96,96) --export-filename=$@ $<

mm_icon_focus_hd.png : art/mm_icon_focus.svg
	$(S2P) $(call SIZE,290,218) --export-filename=$@ $<

mm_icon_focus_sd.png : art/mm_icon_focus.svg
	$(S2P) $(call SIZE,192,144) --export-filename=$@ $<
